<?php
function createthumb($name,$filename,$new_w,$new_h)
{
	$system=explode('.',$name);
	if (preg_match('/jpg|jpeg/',end($system))){
		$src_img=imagecreatefromjpeg($name);
	}
	if (preg_match('/png/',end($system))){
		$src_img=imagecreatefrompng($name);
	}

	if (preg_match('/gif/',end($system))){
		$src_img=imagecreatefromgif($name);
	}

if (preg_match('/jpg|jpeg|gif|png/',end($system))){
	$old_x=imagesx($src_img) ;
	$old_y=imagesy($src_img);
	
	if ($old_x > $old_y) {
		$thumb_w=$new_w;
		$thumb_h=$old_y*($new_h/$old_x);
	}
	if ($old_x < $old_y) {
		$thumb_w=$old_x*($new_w/$old_y);
		$thumb_h=$new_h;
	}
	if ($old_x == $old_y) {
		$thumb_w=$new_w;
		$thumb_h=$new_h;
	}

	$dst_img=imagecreatetruecolor($thumb_w,$thumb_h);
	imagecopyresampled($dst_img,$src_img,0,0,0,0,$thumb_w,$thumb_h,$old_x,$old_y); 
	
	if (preg_match("/png/",end($system)))
	{
		imagepng($dst_img,$filename); 
	} else if(preg_match('/jpg|jpeg/',end($system))){
		imagejpeg($dst_img,$filename,100); 
	} else if(preg_match("/gif/",end($system))) {
		imagegif($dst_img,$filename); 
	}
	imagedestroy($dst_img); 
}
	
	imagedestroy($src_img); 
}


?>